Name:          util-linux-automotive
Version:       0.4.2
Release:       1%{?dist}
Summary:       A random collection of Linux utilities for automotive
License:       GPL-2.0-only
URL:           https://gitlab.com/CentOS/automotive/src/util-linux-automotive
Source0:       util-linux-automotive-%{version}.tar.gz

BuildRequires: make
BuildRequires: systemd
BuildRequires: gcc
BuildRequires: gcc-c++
BuildRequires: libblkid-devel
Requires: libblkid

%global debug_package %{nil}

%description
%{summary}.

%prep
%autosetup

%build
RPM_OPT_FLAGS="${RPM_OPT_FLAGS/-flto=auto /}"
%make_build

%install
%make_install

%files
%{_bindir}/mount-sysroot
%{_bindir}/dev-disk-populate
%{_unitdir}/dev-disk-populate.service

%changelog
* Mon Jun 30 2025 Ian Mullins <imullins@redhat.com> - 0.4.2-1
- Make the repo a dist-git repo only
* Tue Jan 21 2025 Brian Masney <bmasney@redhat.com> - 0.4.1-1
- Add more debug logging, add a .gitignore, and set build.sh to executable.
* Mon Jan 6 2025 Eric Curtin <ecurtin@redhat.com> - 0.4-1
- Introduce retries with exponential backoff
* Fri Jun 14 2024 Eric Curtin <ecurtin@redhat.com> - 0.3-1
- Introduce gpt parsing
* Fri Jun 7 2024 Eric Curtin <ecurtin@redhat.com> - 0.2-1
- Introduce dev-disk-populate
* Thu May 23 2024 Eric Curtin <ecurtin@redhat.com> - 0.1-6
- Mount ext4 by default
* Thu May 23 2024 Eric Curtin <ecurtin@redhat.com> - 0.1-5
- Be more verbose with logging
* Thu May 23 2024 Eric Curtin <ecurtin@redhat.com> - 0.1-4
- Check for existance of files on failure
* Thu May 23 2024 Eric Curtin <ecurtin@redhat.com> - 0.1-3
- Add perrorf
* Wed May 22 2024 Eric Curtin <ecurtin@redhat.com> - 0.1-2
- Better debug
* Wed May 22 2024 Eric Curtin <ecurtin@redhat.com> - 0.1-1
- Initial version

